# Language Skins

*Article Topics:* [*Sites*](/getting-started/common-topics/sites.md)*,* [*Smarty*](/getting-started/common-topics/smarty.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

NATS offers the ability to set default language templates for your site's skin. Template designs allow for language files, which allow you to use [Smarty ](/using-nats/one-off-articles/smarty.md)variables to detect and set the affiliate's or surfer's default language settings.

These language files can contain a set of "global" words that apply throughout NATS, as well as section-specific words, such as terms used in the Affiliate Stats page. The files can be found in the *templates/default\_templates* folder. For example, the English language file is named *language\_en*. NATS allows you to create as many language files as you wish.

The *language\_en* file will look like the following example:

```
# global variables
title = "English"
#page specific vars
[index]
welcome_msg = "Thank you for joining!"
```

You can set a page's language using a Smarty code to detect the affiliate or surfer's default browser language, which will then use the language file found in the *default\_templates* folder to display the proper language. The example syntax, shown below, shows how to set your smarty config load.

```
{if $browser_language == 'fr'}
{config_load file="nats:language_fr" section=$smarty.request.page}
{else}
{config_load file="nats:language_en" section=$smarty.request.page}
{/if}
```

Your template will call the available language variables like the following:

```
 {#title#} - {#welcome_msg#} 
```

If you would like to use this new feature, you can simply add a function call to any template. The following are examples of function calls you can use with this feature:

```
{use_language_file} - loads global words
```

or

```
{use_language_file section="stats"} - loads global and stats section
```

\
You will then be able to use any data from language files available to you, such as *{#file\_title#}*.

Currently, only the *language\_en* (English language) file has been created by default. For further customization, you can create any number of language files in the [Skins & Templates Admin ](/nats-admin/skins-and-templates.md)for a skin of your choosing.

## Related Articles

{% content-ref url="/pages/O6KcR5Qk4sIKdfcuMWUv" %}
[Allowed Languages](/nats-admin/sites/further-reading/allowed-languages.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/sites/further-reading/language-skins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
